# Administration Reference

## fstrace setlog

Purpose

Sets the size of a trace log

Synopsis

    fstrace setlog [-log <log_name>+]  -buffersize <1-kilobyte_units>  [-help]

    fstrace setl [-l <log_name>+]  -b <1-kilobyte_units>  [-h]

    fstrace sl [-l <log_name>+]  -b <1-kilobyte_units>  [-h]

Description

The fstrace setlog command defines the number of kilobytes of kernel memory allocated for the cmfx trace log. If kernel memory is currently allocated, the command clears the current log and creates a new log buffer of the specified size.

To display the current defined size of the log buffer, issue the fstrace lslog command with the -long argument. To control whether the indicated amount of space is actually allocated, use the fstrace setset command to set the status of the cm event set; to display the event set's status, use the fstrace lsset command.

Options

-log
  Names trace log for which to set the size. The only acceptable value is cmfx, which is also the default if this argument is omitted.

-buffersize
  Specifies the number of 1-kilobyte blocks of kernel memory to allocate for the trace log.

-help
  Prints the online help for this command. All other valid options are ignored.

Examples

The following command allocated 80 KB of kernel memory for the cmfx trace log:

       # fstrace setlog -log cmfx -buffersize 80

Privilege Required

The issuer must be logged in as the local superuser root.

Related Information

fstrace

fstrace lslog

fstrace lsset

fstrace setset

© IBM Corporation 2000. All Rights Reserved